%define qtdir /usr/lib/qt3
%define rname softcrystal

Name:		kde-styles-%rname-widgets
Version:	1.0
Release:	alt1.1

Group:		Graphical desktop/KDE
Summary:	Plastik-like KDE Style
License:	GPL
URL:		http://kde-look.org/content/show.php?content=17964
Requires:	kdelibs

Source:		%rname-%version.tar.bz2
Patch0:		softcrystal-alt-makefile.patch
Patch1:		softcrystal-alt-themename.patch
Patch2:		softcrystal-alt-automake.patch

# Automatically added by buildreq on Wed Dec 29 2004
BuildRequires:	gcc-c++ kdebase-devel kdelibs-devel libjpeg-devel libpng-devel
BuildRequires:	libqt3-devel libstdc++-devel xorg-x11-devel-static xorg-x11-libs zlib-devel

%description
This is a nice-view plastic-like widget for KDE

%prep
%setup -q -n %rname-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%make -f Makefile.cvs
%__subst 's|\.la|\.so|g' configure

export QTDIR=%qtdir
%configure \
	--enable-final \
	--disable-rpath \
	--enable-shared \
	--disable-static \
        --disable-debug \
	--without-arts

%make_build

%install
%make DESTDIR=%buildroot install

%files
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_datadir/apps/kwin/%rname.desktop

%changelog
* Mon Jan 24 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.0-alt1.1
- automake fix

* Wed Dec 29 2004 Stanislav Yadykin <tosick@altlinux.ru> 1.0-alt1
- 1.0

